# hcloud_network_info – Gather info about your Hetzner Cloud networks

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Gather info about your Hetzner Cloud networks.

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the network you want to get.
label_selector string |  | The label selector for the network you want to get.
name string |  | The name of the network you want to get.

## See Also

See also

Documentation for Hetzner Cloud API
  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud network info
      local_action:
        module: hcloud_network_info

    - name: Print the gathered info
      debug:
        var: hcloud_network_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_network_info complex | always | The network info as list
| id integer | always | Numeric identifier of the network Sample: 1937415
| ip_range string | always | IP range of the network Sample: 10.0.0.0/16
| labels dictionary | always | Labels of the network
| name string | always | Name of the network Sample: awsome-network
| routes complex | always | Routes belonging to the network
| servers complex | always | Servers attached to the network
| subnetworks complex | always | Subnetworks belonging to the network

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Christopher Schmitt (@cschmitt-hcloud)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.